\documentclass[a4paper,11pt,twoside,openright]{memoir}
\usepackage[]{sosy-paper}
\usepackage[ngerman,english]{babel}

% Page setup
\setheadfoot{2\baselineskip}{\baselineskip}
\checkandfixthelayout
\tightlists
\chapterstyle{section}
\pagestyle{headings}
\aliaspagestyle{chapter}{headings}
\newcommand{\AddDot}[1]{#1.}
\setparaheadstyle{\bfseries\AddDot}
\setsubparaheadstyle{\itshape\AddDot}
\setsubparaindent{0pt}

% These commands are used in titlepage.tex to fill the titlepage
\newcommand{\thesisTitle}{Thesis Title}
\newcommand{\thesisSubTitle}{Thesis Subtitle}
\newcommand{\typeOfThesis}{Bachelor Thesis}
\newcommand{\studentName}{Name of Student}
\newcommand{\supervisor}{Prof.~Dr.~Dirk Beyer}
\newcommand{\advisor}{ADDME}
\newcommand{\location}{München}
\newcommand{\dateOfHandover}{\today}


\makeatletter
\setcounter{secnumdepth}{2}
\setcounter{tocdepth}{2}
% Don't abbreviate Figure
\renewcommand{\fnum@figure}{Figure \thefigure}

% Set default syntax highlighting for C
\lstset{language=C}
% Add a language for git diffs
\lstdefinelanguage{diff}{
  basicstyle=\ttfamily\footnotesize,
  morecomment=[f][\color{violet!80!black}]{@@},
  morecomment=[f][\color{green!80!black}]{+\ },
  morecomment=[f][\color{red!80!black}]{-\ },
  breaklines=true,
}


\newmdenv[]{stepframe}
\mdfdefinestyle{experiment}{
  % next line produces thick gray bar on left instead of thin box
  linewidth=5pt, linecolor=black!20!white, topline=false, bottomline=false, rightline=false, innerrightmargin=0pt,
  firstextra ={\draw[example page break] let \p1=(P), \p2=(O) in (O) -- +(0,15pt);},
  secondextra={\draw[example page break] let \p1=(P), \p2=(O) in (\x2,\y1) -- +(0,-15pt);},
  middleextra={\draw[example page break] let \p1=(P), \p2=(O) in (O) -- +(0,15pt);
               \draw[example page break] let \p1=(P), \p2=(O) in (\x2,\y1) -- +(0,-15pt);},
  frametitlefont={\normalfont\bfseries},
  frametitlebackgroundcolor=black!20!white,
  frametitlerule=false,
}
\mdtheorem[style=experiment]{setup}{Setup}
\mdtheorem[style=experiment]{experiment}{Experiment}
\crefname{experiment}{Experiment}{Experiments}
\Crefname{experiment}{Exp.}{Exps.}
%\newenvironment{step}[1]{\begin{stepframe}}{\end{stepframe}}
\newenvironment{goal}{\textbf{Goal}:\\}{\vspace{5mm}\par}
\newenvironment{steps}{\textbf{Steps}:\vspace{1mm} \begin{enumerate}}{\end{enumerate}\vspace{5mm}\par}
\newenvironment{results}{\textbf{Result}:\\}{}

\usepackage{mathptmx}  % times roman, including math (where possible)
\usepackage{palatino}  % palatino, including math (where possible)
\usepackage{helvet}    % helvetica

\usepackage{wallpaper}
\usepackage[a4paper,%
  head=4cm,height=220mm,bottom=4cm,left=4cm,right=3cm]{geometry}

\parindent0cm

\makeatother

\begin{document}
\frontmatter
\pagenumbering{alph}
\input{titlepage}

\clearforchapter
\input{statement}

\pagenumbering{roman}
\setcounter{page}{1}
\thispagestyle{empty}
\begin{quotation}
\small%
\input{abstract}
\end{quotation}
\clearpage

\clearforchapter
\tableofcontents{}
\clearpage
\listoffigures

\mainmatter
\pagenumbering{arabic}

\input{intro}
\input{background}
\input{tooldescription}
\input{application}
\input{conclusion}

\cleardoublepage

\bibliography{bib/references}

\end{document}
